package cn.gov.customs.wxjy.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.base.pojo.PackCatalog;
import cn.gov.customs.wxjy.base.pojo.PackCatalogQuery;

/**
 * 包装种类目录Mapper接口
 *
 * @author xiong
 * @date 2025-12-16
 */
@Mapper
public interface PackCatalogMapper {
    /**
     * 查询包装种类目录
     *
     * @param ID 包装种类目录主键
     * @return 包装种类目录
     */
    public PackCatalog selectByID(String ID);

    /**
     * 查询包装种类目录列表
     *
     * @param packCatalog 包装种类目录
     * @return 包装种类目录集合
     */
    public List<PackCatalog> selectList(PackCatalogQuery packCatalog);

    /**
     * 新增包装种类目录
     *
     * @param packCatalog 包装种类目录
     * @return 结果
     */
    public int insert(PackCatalog packCatalog);

    /**
     * 修改包装种类目录
     *
     * @param packCatalog 包装种类目录
     * @return 结果
     */
    public int update(PackCatalog packCatalog);

    /**
     * 删除包装种类目录
     *
     * @param ID 包装种类目录主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 批量删除包装种类目录
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] IDs);

    /**
     * 逻辑删除包装种类目录
     *
     * @param ID 包装种类目录主键
     * @return 结果
     */
    public int logicDelete(String ID);
}
